RHEL 6:procps (RHSA-2018:1777)

critical Nessus Plugin ID 110279
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Red Hat 主機缺少一個或多個安全性更新。

描述

現已提供適用於 Red Hat Enterprise Linux 6 的 procps 更新。Red Hat 產品安全性團隊已將此更新評等為具有重要安全性影響。可從〈參照〉一節的 CVE 連結中取得每個弱點之常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。procps 套件包含一組系統公用程式,可提供系統資訊。procps 套件包含以下公用程式:ps、free、skill、pkill、pgrep、snice、tload、top、uptime、vmstat、w、watch、pwdx、sysctl、pmap 以及 slabtop。安全性修正:* procps-ng、procps:整數溢位導致 file2strvec 中的堆積溢位 (CVE-2018-1124) * procps-ng、procps:在 proc/alloc.* 中錯誤的整數大小導致截斷/整數溢位問題 (CVE-2018-1126) 如需安全性問題的詳細資料,包括影響、CVSS 分數及其他相關資訊,請參閱〈參照〉一節列出的 CVE 頁面。Red Hat 感謝 Qualys Research Labs 報告這些問題。

解決方案

更新受影響的 procps、procps-debuginfo 和/或 procps-devel 套件。

另請參閱

https://access.redhat.com/errata/RHSA-2018:1777

https://access.redhat.com/security/cve/cve-2018-1124

https://access.redhat.com/security/cve/cve-2018-1126

Plugin 詳細資訊

嚴重性: Critical

ID: 110279

檔案名稱: redhat-RHSA-2018-1777.nasl

版本: 1.11

類型: local

代理程式: unix

已發布: 2018/6/1

已更新: 2019/10/24

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.9

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:POC/RL:OF/RC:C

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.8

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:P/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:redhat:enterprise_linux:procps, p-cpe:/a:redhat:enterprise_linux:procps-debuginfo, p-cpe:/a:redhat:enterprise_linux:procps-devel, cpe:/o:redhat:enterprise_linux:6

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2018/5/31

弱點發布日期: 2018/5/23

參考資訊

CVE: CVE-2018-1124, CVE-2018-1126

RHSA: 2018:1777

IAVA: 2018-A-0174